<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new News and saves it to the 
// database
//
require_once('plugins/news/lib/News.php');
require_once('plugins/news/lib/NewsPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

if (array_key_exists('sure',$_POST)) {
	$News = NewsPeer::retrieveByPk($_POST['id']);
	if (is_object($News) && $News->userCanDelete()) {
		$News->delete();
		GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL(''), array('feedback' => $language->getText('News.DeleteFeedback')));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	$feedback = $language->getText('NewsDeleteForm.DidntConfirm');
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('NewsDelete'), array('id' => $_POST['id'], 'feedback' => $feedback));
}

?>