<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing TrackerItemTime
//
require_once('plugins/tracker/lib/TrackerItemTimePeer.php');
require_once('plugins/tracker/lib/TrackerItemTime.php');
require_once('exceptions/PermissionDeniedException.php');

$arr = $TrackerItem->getTrackerItemTimes();


$theader = array();

$theader[] = $Lang->getText('TrackerItemTime.DateEntryName');
$theader[] = $Lang->getText('TrackerItemTime.UserIdName');
$theader[] = $Lang->getText('TrackerItemTime.HoursName');
$theader[] = $Lang->getText('TrackerItemTime.TrackerTimeCodeIdName');

echo $theme->tableTop($theader);

if (count($arr) < 1) {
	echo $theme->tableFullRow($Lang->getText('TrackerItemTime.NoneFound'));
} else {
	$totalhours=0;
	foreach ($arr as $item) {
		$trow = array();
		$trow[]=date('Y-m-d',strtotime($item->getDateEntry()));
		$trow[]=$item->getUser()->getUserLink();
		$trow[]=$item->getHours();
		$totalhours += $item->getHours();
		$trow[]=$item->getTrackerTimeCode()->getTimeName();

		echo $theme->tableRow($trow);
	}
	$trow=array('<strong>Total:</strong>','&nbsp;',$totalhours,'&nbsp;');
	echo $theme->tableRow($trow);

}
echo $theme->tableBottom();


//$date_entry = ( (isset($_POST) && isset($_POST['date_entry'])) ? htmlspecialchars($_POST['date_entry']) : $obj->getDateEntry() );
//$user_id = ( (isset($_POST) && isset($_POST['user_id'])) ? htmlspecialchars($_POST['user_id']) : $obj->getUserId() );
//$tracker_item_id = ( (isset($_POST) && isset($_POST['tracker_item_id'])) ? htmlspecialchars($_POST['tracker_item_id']) : $obj->getTrackerItemId() );
$hours = ( (isset($_POST) && isset($_POST['hours'])) ? htmlspecialchars($_POST['hours']) : '' );
$date_entry = ( (isset($_POST) && isset($_POST['date_entry'])) ? htmlspecialchars($_POST['date_entry']) : '' );
$tracker_time_code_id = ( (isset($_POST) && isset($_POST['tracker_time_code_id'])) ? htmlspecialchars($_POST['tracker_time_code_id']) : '' );

$TrackerTimeRecentDays=TrackerTimeCode::getRecentDays();
$TrackerTimeCodes=TrackerTimeCodePeer::doSelect(new Criteria());

include ('forms/TrackerItemTimeEdit-tpl.php');

?>
