<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 
// The definition of a group object
$server->wsdl->addComplexType(
	'Group',
	'complexType',
	'struct',
	'all',
	'',
	array(
		'group_id' => array('name'=>'group_id', 'type' => 'xsd:int'),
		'group_name' => array('name'=>'group_name', 'type' => 'xsd:string'),
		'homepage' => array('name'=>'homepage', 'type' => 'xsd:string'),
		'is_public' => array('name'=>'is_public', 'type' => 'xsd:int'),
		'status' => array('name'=>'status', 'type' => 'xsd:string'),
		'unix_group_name' => array('name'=>'unix_group_name', 'type' => 'xsd:string'),
		'short_description' => array('name'=>'short_description', 'type' => 'xsd:string'),
		'scm_box' => array('name'=>'scm_box', 'type' => 'xsd:string'),
		'register_time' => array('name'=>'register_time', 'type' => 'xsd:int')
	)
);

// Array of groups
$server->wsdl->addComplexType(
    'ArrayOfGroup',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
    	array(
	    	'ref'=>'SOAP-ENC:arrayType',
	    	'wsdl:arrayType'=>'tns:Group[]'
    	)
 	),
    'tns:Group'
);
?>