<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for UsergroupUser
//
require_once('core/UsergroupUserPeer.php');
require_once('core/UsergroupUser.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

//$UsergroupUser = $UsergroupUserPeer::retrieveByPk($_GET['id']);

$group_id = (isset($_GET['id'])) ? Validator::sanitizeInt($_GET['id']) : (isset($group_id) ? $group_id : 0);

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$theme->addBreadCrumb('<a href="'. GFUrl::getUrl()->currentBaseUrl('UsergroupEdit').'&amp;id='.$group_id.'">'. $Lang->getText('Usergroup.EditGroup') .'</a>');
$theme->addBreadCrumb('<a href="'.GFUrl::getUrl()->currentBaseUrl('UsergroupBrowse').'">'.$Lang->getText('Usergroup.ManageGroups').'</a>');

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('UsergroupUser.AddNewPageTitle')
		);


include('forms/UsergroupUserAdd-tpl.php');

?>
