<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('plugins/forum/lib/ForumMessagePeer.php');
require_once('exceptions/PermissionDeniedException.php');

if ($_SERVER['REQUEST_METHOD'] != 'POST') {
   throw new PermissionDeniedException();
}

$session = Session::getSession();
$Lang = $session->getLanguage();
if(!$session->isSiteAdmin()){
	throw new  PermisionDeniedException;
}
if(!empty($_REQUEST['message_id'])){
	$messages = implode(',',$_REQUEST['message_id']);
	$con = Propel::getConnection();
	$sql = 'DELETE from forum_message WHERE forum_message_id IN (' .$messages.');';
	$stmt = $con->createStatement();
	try {
		$stmt->executeQuery($sql);
	} catch (InvalidDataException $e){
		throw new InvalidDataException($e);
	}


	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('LastPostsBrowse'), array('feedback' => $Lang->getText('ForumMessage.MassDelete')));
} else {
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('LastPostsBrowse'), array('feedback' => $Lang->getText('ForumMessage.NoneSelected')));
}



?>

