<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing TrackerTimeCode
//
require_once('plugins/tracker/lib/TrackerTimeCodePeer.php');
require_once('plugins/tracker/lib/TrackerTimeCode.php');
require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$TrackerTimeCode = TrackerTimeCodePeer::retrieveByPk($_GET['tracker_time_code_id']);
if (!is_object($TrackerTimeCode)) {
	throw new PermissionDeniedException();
}
$obj = $TrackerTimeCode;

$params = array(
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => $Lang->getText('TrackerTimeCode.EditPageTitle')
		);

$time_name = ( (isset($_POST) && isset($_POST['time_name'])) ? htmlspecialchars($_POST['time_name']) : $obj->getTimeName() );

include ('forms/TrackerTimeCodeEdit-tpl.php');

?>
