<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('TrackerCannedResponse.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerCannedResponseEditAction') ?>" method="post">
	<input type="hidden" name="tracker_id" value="<?php echo $tracker_id; ?>" />
	<input type="hidden" name="tracker_canned_response_id" value="<?php echo $tracker_canned_response_id; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerCannedResponse.TitleName'); ?></strong><br />
			<input type="text" name="title" value="<?php echo $title; ?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerCannedResponse.BodyName'); ?></strong><br />
			<input type="text" name="body" value="<?php echo $body; ?>" /></td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>