<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>
<?php
//
//	Show the Submit instructions. 
//
if (strlen($Tracker->getSubmitInstructions())) {
	echo "<br><strong>".$Tracker->getSubmitInstructions()."</strong><br>";
}
?>


<p>
	<strong><?php echo $Lang->getText('TrackerItem.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerItemAddAction') ?>" method="post" enctype="multipart/form-data">
	<input type="hidden" name="tracker_id" value="<?php echo $tracker_id; ?>"  />
	<table border="0">
		<?php if ($Tracker->getDatatype()==Tracker::DATATYPE_TASK) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerItem.StartDate'); ?></strong><span class="required">*</span><br />
                        <input type="text" id="task_start" name="start_date" value="<?php echo $start_date; ?>" size="11" maxlength="11" /><a href="javascript:NewCal('task_start','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
			<td><strong><?php echo $Lang->getText('TrackerItem.EndDate'); ?></strong><span class="required">*</span><br />
                        <input type="text" id="task_end" name="end_date" value="<?php echo $end_date; ?>" size="11" maxlength="11" /><a href="javascript:NewCal('task_end','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
		</tr>
		<?php } ?>
<?php echo $tefr->renderFields('SUBMIT', null, null, $_POST); ?>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.SummaryName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="summary" value="<?php echo $summary; ?>" size="80" maxlength="255" /></td>
		</tr>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.DetailsName'); ?></strong><span class="required">*</span><br />
			<textarea name="details" rows="30" cols="80" wrap="soft"><?php echo $details; ?></textarea></td>
		</tr>
<?php
ActionManager::notify('TRACKER_ITEM_ADD_FORM');
?>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('Filesystem.AddNew'); ?></strong><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file">
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerItemBrowse','tracker','',array('tracker_id' => $tracker_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php

echo $theme->footer($params);
?>
