<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


$theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ProjectAddAction') ?>" method="POST">
	<input type="hidden" name="action" value="ProjectAddAction" />
	<p>
		<?php echo $Lang->getText('Project.AddNewDescription'); ?>
	</p>
	<p>
		<h3><?php echo $Lang->getText('Project.ProjectNameTitle'); ?>&nbsp*</h3>
		<?php echo $Lang->getText('Project.ProjectNameDescription'); ?>
		<br />
		<br />
		<?php echo $Lang->getText('Project.ProjectNameName') ?>:
		<br />
		<input type="text" name="project_name" maxlength="40" size="35" value="<?php echo $project_name; ?>"  />
	</p>
	
	<p>
		<h3><?php echo $Lang->getText('Project.RegisterPurposeTitle'); ?></h3>
		<?php echo $Lang->getText('Project.RegisterPurposeDescription'); ?>
		<br />
		<br />
		<textarea name="register_purpose" rows="3" cols="40" /><?php echo $register_purpose; ?></textarea>
	</p>

	<p>
		<h3><?php echo $Lang->getText('Project.DescriptionTitle'); ?>&nbsp;*</h3>
		<?php echo $Lang->getText('Project.DescriptionDescription'); ?>
		<br />
		<br />
		<textarea name="description" rows="3" cols="40" /><?php echo $description; ?></textarea>
	</p>

	<p>
		<h3><?php echo $Lang->getText('Project.UnixNameTitle'); ?>&nbsp;*</h3>
		<?php echo $Lang->getText('Project.UnixNameDescription'); ?>
		<br />
		<input type="text" name="unix_name" maxlength="30" value="<?php echo $unix_name; ?>"  />
	</p>

	<p>
		<h3><?php echo $Lang->getText('Project.HomepageUrlTitle'); ?></h3>
		<?php echo $Lang->getText('Project.HomepageUrlDescription', array(GFConf::get('system.name'))); ?>:
		<br />
		<input type="text" name="homepage_url" value="<?php echo $homepage_url; ?>" size="35" />
	</p>

<input type="hidden" name="template_project_id" value="<?php echo GFConf::get('system.templateProject'); ?>" />
<!--
	<p>
		<h3><?php echo $Lang->getText('Project.TemplateProject'); ?></h3>
		<?php echo $Lang->getText('Project.TemplateProjectDescription'); ?>
		<br />
		<?php
			echo HTMLWidget::select('template_project_id', $templates, 
			$template_project_id, null, false);
		?>
	</p>
-->	
	<p>
		<h3><?php echo $Lang->getText('Project.TroveCategorization'); ?></h3>
		<?php echo $Lang->getText('Project.TroveDescription'); ?>
	</p>
		<br />
		<?php
			$trove_renderer->showTroveForm();
		?>
	
<?php if (GFConf::get('system.projectRegClickLicense')) { ?>
	<p>
<pre>
<?php echo file_get_contents(GFConf::get('system.etcDir').'/PROJECT_LICENSE'); ?>
</pre>
	</p>
	<p>
	<input type="checkbox" name="iagree" value="t" />&nbsp;<?php echo $Lang->getText('License.IHaveReadAndAgree'); ?>
	</p>
<?php } ?>
	<p>
		<?php echo HTMLWidget::button("submit","" .   $Lang->getText('ProjectAddForm.submit') . " ","submit","","")?>
		<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->baseURL('','project','') . "'; ")?>
	</p>
</form>

<?php
$theme->footer($params);
?>
